Bug 165656 - System freezes (device errors)
System freezes (device errors)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-11 02:21 EDT by Christophe Lambin
Modified: 2013-03-05 22:44 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:30:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (249.23 KB, text/plain)
2005-08-11 02:21 EDT, Christophe Lambin
no flags Details

  None (edit)
Description Christophe Lambin 2005-08-11 02:21:59 EDT
Description of problem:
Intermittently, I'm seeing the following flood of errors in the syslog:

    kernel: hdb: status error: status=0x01 { Error }

If I let this run long enough (order of seconds), the system will eventually
freeze. I've also seen the same behaviour on hda:

    localhost kernel: hda: status error: status=0x20 { DeviceFault }

No CD's were mounted at the time of the problem.

hda and hdb are my CD-RW and CD-R/RW:

Probing IDE interface ide0...
hda: TSSTcorpCD-RW TS-H292B, ATAPI CD/DVD-ROM drive
hdb: PHILIPS DVD+/-RW DVD8631, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Probing IDE interface ide1...
hda: ATAPI 48X CD-ROM CD-R/RW drive, 2048kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.20
hdb: ATAPI 40X DVD-ROM DVD-R CD-R/RW drive, 2048kB Cache, UDMA(33)

The process that is accessing the device at the time of the flood is hald
(verified with fuser /dev/hda, and confirmed by seeing the errors stop when hald
is shut down).


Version-Release number of selected component (if applicable):
kernel-smp-2.6.12-1.1398_FC4
hal-0.5.2-2

How reproducible:
Intermittent (i.e. most of the time I boot the system without a problem)
Comment 1 Christophe Lambin 2005-08-11 02:21:59 EDT
Created attachment 117633 [details]
/var/log/messages
Comment 2 Dave Jones 2005-08-11 18:35:35 EDT
devices that don't like being polled perhaps ?  David ?  Can we blacklist these
in hal ?
Comment 3 Christophe Lambin 2006-10-28 09:22:51 EDT
This is still happening in FC6.

Note that I sometimes have the same errors if rhythmbox is running. Perhaps hal
is not the right place to fix this.
Comment 4 Tomas Edwardsson 2007-02-02 16:50:26 EST
I'm having a similar or the same problem, running FC6. hal-0.5.8.1-6.fc6.i386

CDROM:
hda: TSSTcorpCD/DVDW TS-L632D, ATAPI CD/DVD-ROM drive

I've never seen a freeze but the system becomes totally unresponsive (no mouse
movement) for a few seconds at a time, then I have a couple of seconds to run
commands untill it becomes unresponsive again. I'm able to CTRL-ALT F1 to
console, log in and kill hald-addon-storage and after that, everything works as
normal.

From ps
hald-addon-storage: polling /dev/hda


/var/log/messages.1:Jan 27 05:48:48 tommilap kernel: hda: status timeout:
status=0xd0 { Busy }
/var/log/messages.1:Jan 27 05:48:48 tommilap kernel: hda: drive not ready for
command
/var/log/messages.1:Jan 27 05:48:53 tommilap kernel: hda: status timeout:
status=0xd0 { Busy }
/var/log/messages.1:Jan 27 05:48:53 tommilap kernel: hda: drive not ready for
command
/var/log/messages.1:Jan 27 05:48:58 tommilap kernel: hda: status timeout:
status=0xd0 { Busy }
/var/log/messages.1:Jan 27 05:48:58 tommilap kernel: hda: drive not ready for
command
Comment 5 Doncho N. Gunchev 2007-02-09 02:53:30 EST
Similar problem here - Acer Aspire 5610 AW...... with TSSTcorpCD/DVDW 
TS-L632D. If I'm lucky I only get
 2802 ?        D      0:03 hald-addon-storage: polling /dev/hdb
(no freeze), but this prevents the laptop to hibernate/syspend. Adding <merge 
key="storage.media_check_enabled" type="bool">false</merge> to the hal policy 
does not help. Here's what I sometimes get in the log:

Feb  7 23:01:21 laptop kernel: hdb: status timeout: status=0xd0 { Busy }
Feb  7 23:01:21 laptop kernel: ide: failed opcode was: unknown
Feb  7 23:01:21 laptop kernel: hdb: drive not ready for command
Feb  7 23:01:21 laptop kernel: BUG: soft lockup detected on CPU#0!
Feb  7 23:01:21 laptop kernel:  [<c0405018>] dump_trace+0x69/0x1b6
Feb  7 23:01:21 laptop kernel:  [<c040517d>] show_trace_log_lvl+0x18/0x2c
Feb  7 23:01:21 laptop kernel:  [<c0405778>] show_trace+0xf/0x11
Feb  7 23:01:21 laptop kernel:  [<c0405875>] dump_stack+0x15/0x17
Feb  7 23:01:21 laptop kernel:  [<c04522c5>] softlockup_tick+0xad/0xc4
Feb  7 23:01:21 laptop kernel:  [<c0430d8f>] update_process_times+0x39/0x5c
Feb  7 23:01:21 laptop kernel:  [<c0419f5a>] 
smp_apic_timer_interrupt+0x95/0xb3
Feb  7 23:01:21 laptop kernel:  [<c0404a57>] apic_timer_interrupt+0x1f/0x24
Feb  7 23:01:21 laptop kernel:  [<c05747a3>] ide_inb+0x3/0x7
Feb  7 23:01:21 laptop kernel:  [<c05757bc>] ide_wait_stat+0x98/0xf5
Feb  7 23:01:21 laptop kernel:  [<c0573981>] ide_do_request+0x3ff/0x8db
Feb  7 23:01:21 laptop kernel:  [<c05740f3>] ide_intr+0x17a/0x1a7
Feb  7 23:01:21 laptop kernel:  [<c045253d>] handle_IRQ_event+0x1a/0x3f
Feb  7 23:01:21 laptop kernel:  [<c04537be>] handle_edge_irq+0xcd/0x10d
Feb  7 23:01:21 laptop kernel:  [<c040655a>] do_IRQ+0xc5/0x103
Feb  7 23:01:21 laptop kernel:  =======================
Comment 6 Craig Pemberton 2007-04-25 12:54:33 EDT
I have the same problem! 

dmesg gives the following repeatedly:

ide: failed opcode was: unknown
hdd: drive not ready for command
hdd: status timeout: status=0xd0 { Busy }

Also, intermittently with good regularity, my computer will lock up tight for
about 10 seconds and then work for an instant and then lock up again. This would
repeat until I would do

service haldaemon stop

I tried to mount it and my computer freaked out similarily. 
Also running file -s on it does the same. I deleted the device and things seem
to be working smoothly again for a day or so. Then repeat.

This problem is now recuring. hdd perenially reappears with the non-super-user
owner.

I get this in dmesg

hdd: TSSTcorpCD/DVDW TS-L632D, ATAPI CD/DVD-ROM drive
hdd: ATAPI 24X DVD-ROM DVD-R-RAM CD-R/RW drive, 2048kB Cache
Comment 7 Bug Zapper 2008-04-03 22:00:16 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 Bug Zapper 2008-05-06 11:30:49 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.